---
title: RTCRtpSynchronizationSource
slug: Web/API/RTCRtpSynchronizationSource
tags:
  - API
  - Dictionary
  - Interface
  - Media
  - RTCRtpSynchronizationSource
  - RTP
  - Reference
  - Synchronization Source
  - WebRTC
---
<div>{{APIRef("WebRTC API")}}</div>

<p><span class="seoSummary">The <strong><code>RTCRtpSynchronizationSource</code></strong> dictionary of the <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a> is used by {{domxref("RTCRtpReceiver.getSynchronizationSources", "getSynchronizationSources()")}} to describe a particular synchronization source (SSRC).</span> A synchronization source is a single source that shares timing and sequence number space. Since <code>RTCRtpSynchronizationSource</code> implements {{domxref("RTCRtpContributingSource")}}, its properties are also available.</p>

<p>The information provided is based on the last ten seconds of media received.</p>

<div class="note">
<p>While the published specification describes this as an interface, it has since been changed to a dictionary in follow-up drafts.</p>
</div>

<h2 id="Properties">Properties</h2>

<p><em>Also implements the properties of {{domxref("RTCRtpContributingSource")}}.</em></p>

<dl>
 <dt>{{domxref("RTCRtpSynchronizationSource.voiceActivityFlag", "voiceActivityFlag")}} {{optional_inline}}</dt>
 <dd>A Boolean value indicating whether or not voice activity is included in the last RTP packet played from the source. If the peer has indicated that it's not supporting voice activity detection, this field is not provided.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpsynchronizationsource','RTCRtpSynchronizationSource')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCRtpSynchronizationSource")}}</p>
</div>
